## visad
Class RemoteReferenceLinkImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  visad.RemoteReferenceLinkImpl

All Implemented Interfaces:
  Remote, RemoteReferenceLink, Serializable

public class RemoteReferenceLinkImpl
extends UnicastRemoteObject
implements RemoteReferenceLink

RemoteReferenceLinkImpl is the VisAD remote adapter for DataDisplayLink-s.

See Also:
  Serialized Form

Field Summary
`(package private) DataDisplayLink` `link`

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`RemoteReferenceLinkImpl(DataDisplayLink ddl)` create a Remote reference to a DataDisplayLink

Method Summary
`boolean` `equals(Object o)`
`Vector` `getConstantMapVector()` return the list of ConstantMap-s which apply to this Data object
`RemoteDataReference` `getReference()` return a reference to the remote Data object
`String` `getRendererClassName()` return the name of the DataRenderer used to render this reference
`String` `toString()` return a String representation of the referenced data

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`getRef, hashCode, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### link

    DataDisplayLink link

Constructor Detail

### RemoteReferenceLinkImpl

    public RemoteReferenceLinkImpl(DataDisplayLink ddl)
                            throws RemoteException

  create a Remote reference to a DataDisplayLink

Method Detail

### getRendererClassName

    public String getRendererClassName()
                                throws VisADException,
                                       RemoteException

  return the name of the DataRenderer used to render this reference

  Specified by:
    `getRendererClassName` in interface `RemoteReferenceLink`
  Throws:
    `VisADException`
    `RemoteException`

### getReference

    public RemoteDataReference getReference()
                                     throws VisADException,
                                            RemoteException

  return a reference to the remote Data object

  Specified by:
    `getReference` in interface `RemoteReferenceLink`
  Throws:
    `VisADException`
    `RemoteException`

### getConstantMapVector

    public Vector getConstantMapVector()
                                throws VisADException,
                                       RemoteException

  return the list of ConstantMap-s which apply to this Data object

  Specified by:
    `getConstantMapVector` in interface `RemoteReferenceLink`
  Throws:
    `VisADException`
    `RemoteException`

### equals

    public boolean equals(Object o)

### toString

    public String toString()

  return a String representation of the referenced data